Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Mascherare nvidia-drivers [Risolto]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
rb34
Guru
Guru


Joined: 03 Oct 2004
Posts: 361
Location: Rome, italy

PostPosted: Thu Jul 31, 2008 9:48 pm    Post subject: Mascherare nvidia-drivers [Risolto] Reply with quote

voglio lasciare installata una versione di nvidia-drivers che va meglio delle altre, allora ho messo in /etc/portage/package.mask la riga
Code:
>=x11-drivers/nvidia-drivers-100.14.09

ma poi le cose non quadrano, le ver successive non risultano mascherate come si può vedere:
Code:
 # emerge nvidia-drivers -p

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] x11-drivers/nvidia-drivers-173.14.09 [96.43.07] USE="-custom-cflags%"

ma come si fa a mascherare i pacchetti d invidia-drivers??
_________________
rb


Last edited by rb34 on Fri Aug 01, 2008 4:36 pm; edited 1 time in total
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Thu Jul 31, 2008 11:59 pm    Post subject: Reply with quote

non è che ti sei dimenticato una riga simile in /etc/portage/package.unmask ?
Back to top
View user's profile Send private message
nikko96
Apprentice
Apprentice


Joined: 22 Jul 2005
Posts: 229
Location: Pulcinella's Country

PostPosted: Fri Aug 01, 2008 4:31 pm    Post subject: Re: Mascherare nvidia-drivers Reply with quote

rb34 wrote:
voglio lasciare installata una versione di nvidia-drivers che va meglio delle altre, allora ho messo in /etc/portage/package.mask la riga
Code:
>=x11-drivers/nvidia-drivers-100.14.09

ma poi le cose non quadrano, le ver successive non risultano mascherate come si può vedere:
Code:
 # emerge nvidia-drivers -p

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] x11-drivers/nvidia-drivers-173.14.09 [96.43.07] USE="-custom-cflags%"

ma come si fa a mascherare i pacchetti d invidia-drivers??

Se ho ben capito,anche perchè la stessa cosa è servita anche a me,vuoi usare i 100.14.09 e lasciar
perdere le versioni successive;
allora devi mascherare dalla versione successiva in poi vale a dire in /etc/portage/package.mask
Code:
>=x11-drivers/nvidia-drivers-169.09-r1


P.S. Scusa ho visto solo ora che vuoi tenere i 96.43.07
Ciao
_________________
My system: cpu Intel core 2 duo e6750,mb asus p5n-e sli,scheda grafica nvidia GeForce 9600 GT,kernel 2.6.31-gentoo-r6


Last edited by nikko96 on Fri Aug 01, 2008 4:37 pm; edited 1 time in total
Back to top
View user's profile Send private message
rb34
Guru
Guru


Joined: 03 Oct 2004
Posts: 361
Location: Rome, italy

PostPosted: Fri Aug 01, 2008 4:35 pm    Post subject: Reply with quote

Ic3M4n wrote:
non è che ti sei dimenticato una riga simile in /etc/portage/package.unmask ?


Elementare Watson! (elementare per te :) ). Bene, visto che non lo sapevo, ora so che unmask ha la priorità rispetto a mask. Ora il mask funziona, e ho visto che anche per package.mask vale l'indicazione di un range di versioni, bene
_________________
rb
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum